MetadataCallback Class Reference

`#include <FieldMetadata.h>`

Inheritance diagram for MetadataCallback:

## Public Member Functions

virtual void | metadataHasChanged (const std::string &)
| Alerts the callback holder that the metadata has changed.

## Detailed Description

Definition at line 70 of file FieldMetadata.h.

## Member Function Documentation

## metadataHasChanged()

virtual void MetadataCallback::metadataHasChanged | ( | const std::string & |  | ) |

inline virtual

Alerts the callback holder that the metadata has changed.

Reimplemented in Field3DFileBase, and Field3DFileHDF5Base.

Definition at line 75 of file FieldMetadata.h.

{ /* Default does nothing. */ }

The documentation for this class was generated from the following file:

- export/FieldMetadata.h